Bug 519009 - Review Request: gnome-do-docklets - Docklets for gnome-do
Review Request: gnome-do-docklets - Docklets for gnome-do
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
: Reopened
: 652266 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-24 11:09 EDT by Juan Manuel Rodriguez
Modified: 2011-01-25 16:01 EST (History)
8 users (show)

See Also:
Fixed In Version: gnome-do-docklets-0.8.2-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-04 15:54:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
patch to make 0.8.2 build on F14 (863 bytes, patch)
2010-11-09 20:03 EST, Gen Zhang
no flags Details | Diff
Make it build on F14 (2.17 KB, text/x-rpm-spec)
2010-11-09 20:04 EST, Gen Zhang
no flags Details

  None (edit)
Description Juan Manuel Rodriguez 2009-08-24 11:09:44 EDT
Spec URL: http://nushio.fedorapeople.org/gnome-do-docklets/gnome-do-docklets.spec
SRPM URL: http://nushio.fedorapeople.org/gnome-do-docklets/gnome-do-docklets-0.8.2-1.fc11.src.rpm
Description: 
This package contains various docklets for GNOME Do.
Comment 1 Juan Manuel Rodriguez 2009-08-24 11:21:02 EDT
As a note: The Volume Control docklet appears to be broken. 
Perhaps I should remove it from the package?
Comment 2 Michel Alexandre Salim 2009-08-24 15:58:36 EDT
It can probably be excluded for now, yes. Let me see if it works on F-12 (small chance, considering I'm packaging something right now that works fine in F-11 but breaks on F-12!)
Comment 3 Juan Manuel Rodriguez 2009-08-24 16:36:17 EDT
I found the bug on gnome-do's launchpad:
https://bugs.launchpad.net/do/+bug/395740

Its fixed in trunk, but they haven't released a fix to the public. 
Disabling until a new version ships it should be fine. 

The same Volume Docklet bug affected some Ubuntu users I talked with, so its not distro related. 

Updated the SPEC and SRPM to match. 

Also note that I disabled the PPC* builds while the rebuild is going on Fedora 11. 

Spec URL:
http://nushio.fedorapeople.org/gnome-do-docklets/gnome-do-docklets.spec
SRPM URL:
http://nushio.fedorapeople.org/gnome-do-docklets/gnome-do-docklets-0.8.2-2.fc11.src.rpm
Comment 4 Michel Alexandre Salim 2009-08-24 17:24:25 EDT
Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1630524

There are some things to fix: to sum up, spec file permission, and a directory ownership problem that's really a gnome-do packaging bug.

MUST

• rpmlint:
gnome-do-docklets.src: W: strange-permission gnome-do-docklets.spec 0755
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

gnome-do-docklets.x86_64: E: no-binary
gnome-do-docklets.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

spec permission needs to be fixed; the binary warnings are fine for Mono

• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK

• builds under >= 1 archs, others excluded: OK

  note: do you plan to get it into F-11 that fast? otherwise we can still enable ppc* builds, at least for Rawhide

• build dependencies complete: OK
• locales handled using %find_lang, no %{_datadir}/locale: N/A

• own all directories: FAIL
  oops, bug. Nobody owns this! Could you update gnome-do so it creates %{_libdir}/gnome-do/plugins and own it?  

• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: PPC unknown

• package functioned as described:
  This one is problematic. On Rawhide x86_64, none of the docklets show up on the dock. I could configure the Weather docklet, after which it does show an icon in the list of docklets, but it does not appear on the dock. All the others have the package icon in the listing and do not show up.


• scriplets are sane: OK

• other subpackages should require versioned base
• if main pkg is development-wise, pkgconfig can go in main package
• require package not files
Comment 5 Michel Alexandre Salim 2009-08-24 17:27:32 EDT
Correction: I was not configuring the docklets properly. Confirmed that volume control is not working, everything else seems to work. I can't test workspace switcher as gnome-shell handles workspaces differently. The battery docklet hilariously misread my battery status as 109.7% but seems to work fine -- detecting plugging and unplugging.
Comment 6 Juan Manuel Rodriguez 2009-08-24 17:45:38 EDT
Fixing gnome-do permissions. Now gnome-do will own the plugins dir. 
Also enabling PPC and PPC64 as requested. (Same SPEC URL)

As for the functional package? I had a bit of a hiccup too. I had to enable the 'docky' theme, then switch to classic, and switch back to 'docky'. The second time, the plugins showed up and worked. 

I don't have a laptop, so I can't confirm the battery status personally, but I did read a blogpost where the KDE battery said 5800000% left, might be related?

The workspace switcher does work on Gnome.
Comment 7 Michel Alexandre Salim 2009-08-24 22:28:13 EDT
Not sure; on mine it seems to be off by only about 10% or so. Though today yum shows me progress percentages of thousands of percents for each download, heh.

OK, everything else is fine -- APPROVED
Comment 8 Juan Manuel Rodriguez 2009-09-02 23:49:05 EDT
New Package CVS Request
=======================
Package Name: gnome-do-docklets
Short Description: Docklets for GNOME-Do
Owners: nushio salimma
Branches: F-12 F-11 devel
InitialCC: gnome-do-owner@fedoraproject.org
Comment 9 Julian Aloofi 2010-01-02 07:51:05 EST
I suppose nobody will see this CVS request as the fedora-cvs flag is not set... Just pointing this out, as I'd like to see the docklets in the repos.
Comment 10 Benjamín Valero Espinosa 2010-08-05 11:16:12 EDT
I hope to see this at least in F14.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Mamoru TASAKA 2010-08-05 11:34:57 EDT
Well,
- I guess this review request needs re-review, because it is more
  than 3 months since the latest srpm are reviewed.
- Also it is better to contact spot (FE-Legal) before importing this
  package into Fedora, because currently shipping "dock"-like application
  in Fedora is not allowed (and actually were removed before F-11)
  because of the possibility of infringing patents.
Comment 12 Benjamín Valero Espinosa 2010-08-05 11:53:46 EDT
(In reply to comment #11)
> - Also it is better to contact spot (FE-Legal) before importing this
>   package into Fedora, because currently shipping "dock"-like application
>   in Fedora is not allowed (and actually were removed before F-11)
>   because of the possibility of infringing patents.    

It would be a pity, because gnome-do with docklets combined with Gnome Shell would be wonderful (IMHO).



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Gen Zhang 2010-11-09 19:51:24 EST
Can we get a re-review? And would people shout at me if I add spot to the CC list to get a legal okay? It seems odd that we have gnome-do itself, and the plugins, but not the docklets...?
Comment 14 Gen Zhang 2010-11-09 20:03:04 EST
Just rebuilt it for F14. Needed a patch to make things build with presumably updated C#.
Comment 15 Gen Zhang 2010-11-09 20:03:50 EST
Created attachment 459294 [details]
patch to make 0.8.2 build on F14
Comment 16 Gen Zhang 2010-11-09 20:04:16 EST
Created attachment 459295 [details]
Make it build on F14
Comment 17 Michel Alexandre Salim 2010-11-11 06:21:41 EST
Gen, since Juan has not responded since filing his CVS request ( over a year ago!), I suggest you start a new review ticket and mark this one as a duplicate.

And as Mamoru suggested, please ask on the legal list whether this package is permissible or not
Comment 18 Gen Zhang 2010-11-11 09:00:40 EST
I've opened https://bugzilla.redhat.com/show_bug.cgi?id=652266

But I can't close this one I don't think...
Comment 19 Michel Alexandre Salim 2010-11-11 10:59:45 EST
Done

*** This bug has been marked as a duplicate of bug 652266 ***
Comment 20 Michel Alexandre Salim 2010-11-11 11:07:18 EST
Reopening since I've now heard back from Juan on IM. Blocking on FE-LEGAL until Mamoru's concerns are clarified by the legal team.
Comment 21 Michel Alexandre Salim 2010-11-11 11:07:47 EST
*** Bug 652266 has been marked as a duplicate of this bug. ***
Comment 22 Tom "spot" Callaway 2010-11-11 11:15:36 EST
Is there a current SRPM I can audit?
Comment 23 Juan Manuel Rodriguez 2010-11-11 13:28:30 EST
SPEC: http://nushio.fedorapeople.org/gnome-do/gnome-do-docklets.spec
SRPM: http://nushio.fedorapeople.org/gnome-do/gnome-do-docklets-0.8.2-3.fc14.src.rpm

Based on Gen's patch, which I'll be submitting to upstream soon. 

I feel very embarrassed about forgetting to set the flag, and then forgetting the package altogether. 

You're right in that Docky would make Gnome-Shell usable.
Comment 24 Tom "spot" Callaway 2010-11-11 14:54:16 EST
All this package seems to do is add additional applets to gnome-do. It appears that the "dock" functionality is within gnome-do (in "docky" mode), and this package adds no additional dock functionality.

Is that correct?
Comment 25 Juan Manuel Rodriguez 2010-11-11 16:51:42 EST
That's right. And in fact, we already removed the "Zoom" functionality from gnome-do's dock theme.
Comment 26 Tom "spot" Callaway 2010-11-12 12:05:41 EST
That was my impression from looking at this package as well. I see no legal concerns here, so I'm lifting FE-Legal.
Comment 27 Juan Manuel Rodriguez 2010-11-12 13:33:35 EST
Alright, thanks Tom!

The package had already been reviewed and approved, should I just set the cvs flags this time?
Comment 28 Michel Alexandre Salim 2010-11-13 09:37:17 EST
Since there is actually no newer version, and the patch looks sane, the package is re-APPROVED.

Please set the flag this time :)
Comment 29 Juan Manuel Rodriguez 2010-11-13 12:11:44 EST
New Package CVS Request
=======================
Package Name: gnome-do-docklets
Short Description: Docklets for GNOME-Do
Owners: nushio salimma
Branches: F-14 F-13 devel
InitialCC: gnome-do-owner@fedoraproject.org
Comment 30 Michel Alexandre Salim 2010-11-13 12:30:43 EST
Oops, I should have been the one setting the review flag.

Juan: you need to fix the branches. devel is never necessary, and the stable branches are now called f13 and f14 (same as the Git branch names).

And the -owner@fedoraproject.org alias is always Cc:ed, I think.

Could you remove me from the owner list? I tend not to use Mono nowadays, and my primary laptop unfortunately has a really weak graphics stack (ATi, no 3D or even transparency support yet) and my secondary laptop... is a netbook that probably wouldn't like running Mono that much.
Comment 31 Juan Manuel Rodriguez 2010-11-13 16:50:04 EST
Sorry, I thought you might be interested in maintaining the package (As was set a while ago). 

I forgot the branch names changed with the move to git. 

The CC is for the gnome-do maintainers (Which is a different package than gnome-do-docklets :)  )


New Package CVS Request
=======================
Package Name: gnome-do-docklets
Short Description: Docklets for GNOME-Do
Owners: nushio
Branches: f14 f13
InitialCC: gnome-do-owner@fedoraproject.org
Comment 32 Jason Tibbitts 2010-11-15 09:18:41 EST
InitialCC must be a Fedora account name, not an email address.  I have processed your request with InitialCC blank.

Git done.
Comment 33 Fedora Update System 2010-11-16 14:04:44 EST
gnome-do-docklets-0.8.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnome-do-docklets-0.8.2-3.fc14
Comment 34 Fedora Update System 2010-11-16 14:05:38 EST
gnome-do-docklets-0.8.2-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gnome-do-docklets-0.8.2-3.fc13
Comment 35 Fedora Update System 2010-11-17 18:22:00 EST
gnome-do-docklets-0.8.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-do-docklets'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnome-do-docklets-0.8.2-3.fc13
Comment 36 Fedora Update System 2011-01-04 15:54:37 EST
gnome-do-docklets-0.8.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2011-01-25 16:01:34 EST
gnome-do-docklets-0.8.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.